Loading...
Searching...
No Matches
DcmRLERepresentationParameter Class Reference

representation parameter for RLE. More...

Inheritance diagram for DcmRLERepresentationParameter:

## Public Member Functions

| DcmRLERepresentationParameter ()
| constructor
| DcmRLERepresentationParameter (const DcmRLERepresentationParameter &arg)
| copy constructor
virtual | ~DcmRLERepresentationParameter ()
| destructor
virtual DcmRepresentationParameter * | clone () const
| this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.
virtual const char * | className () const
| returns the class name as string.
virtual OFBool | operator== (const DcmRepresentationParameter &arg) const
| compares an object to another DcmRepresentationParameter.
Public Member Functions inherited from DcmRepresentationParameter
| DcmRepresentationParameter ()
| default constructor
| DcmRepresentationParameter (const DcmRepresentationParameter &)
| copy constructor
virtual | ~DcmRepresentationParameter ()
| destructor

## Detailed Description

representation parameter for RLE.

This is actually a dummy class since there are no compression options in the RLE algorithm.

## Member Function Documentation

## className()

virtual const char * DcmRLERepresentationParameter::className | ( |  | ) | const

virtual

returns the class name as string.

can be used in operator== as poor man's RTTI replacement.

Implements DcmRepresentationParameter.

## clone()

virtual DcmRepresentationParameter * DcmRLERepresentationParameter::clone | ( |  | ) | const

virtual

this methods creates a copy of type DcmRepresentationParameter * it must be overweritten in every subclass.

Returns
  copy of this object

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

## operator==()

virtual OFBool DcmRLERepresentationParameter::operator== | ( | const DcmRepresentationParameter & | arg | ) | const

virtual

compares an object to another DcmRepresentationParameter.

Implementation must make sure that classes are comparable.

Parameters

  arg | representation parameter to compare with

Returns
  true if equal, false otherwise.

Implements DcmRepresentationParameter.

References DcmRepresentationParameter::DcmRepresentationParameter().

The documentation for this class was generated from the following file:

- dcmdata/include/dcmtk/dcmdata/dcrlerp.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0